Subject: Re: bug#16573: 24.3; Auctex (11.87.2) in Elpa issues hundreds of warnings on compile

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Jan 2014 19:22:31 -0500

> On updating to latest Auctex from the Package Manager, there were
> hundreds of warnings during compilation.

Indeed.

> Expected behaviour:
> Packages in Elpa compile without warnings.

ELPA packages are not magical that way, no.  It completely depends on
the package's maintainers to try and make their code "warning-free", and
even if they do that, it's difficult to make sure it's warning-free
under all Emacs versions (some maintainers insist on warning-freeness
to the point of disabling warnings or obfuscating code, which I find to
be both very bad ideas).

For GNU ELPA packages, I occasionally try to address some of
those warnings.  In the case of AUCTeX, I haven't tackled that job yet.

        Stefan